SystemOrganization addCategory: #ConfigurationOfMorphicGrid!

Object subclass: #ConfigurationOfMorphicGrid
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMorphicGrid'!

!ConfigurationOfMorphicGrid class methodsFor: 'development support' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfMorphicGrid class methodsFor: 'private' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfMorphicGrid class methodsFor: 'private' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfMorphicGrid class methodsFor: 'private' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfMorphicGrid class methodsFor: 'metacello tool support' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMorphicGrid class methodsFor: 'loading' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfMorphicGrid class methodsFor: 'loading' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfMorphicGrid class methodsFor: 'loading' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfMorphicGrid class methodsFor: 'accessing' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
project

	^self new project! !

!ConfigurationOfMorphicGrid class methodsFor: 'development support' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfMorphicGrid methodsFor: 'baselines' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.smalltalkhub.com/mc/hernan/MorphicGrid/main'.
		spec package: 'SGrid'.
		spec group: 'default' with: #('SGrid' ). ].
! !

!ConfigurationOfMorphicGrid methodsFor: 'accessing' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfMorphicGrid methodsFor: 'symbolic versions' stamp: 'HernanMoralesDurand 8/12/2013 14:22'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.2'.
! !

!ConfigurationOfMorphicGrid methodsFor: 'accessing' stamp: 'HernanMoralesDurand 8/12/2013 14:17'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfMorphicGrid methodsFor: 'symbolic versions' stamp: 'HernanMoralesDurand 8/12/2013 14:20'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfMorphicGrid methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/12/2013 14:20'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ''.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '8/12/2013 14:17'.
		spec package: 'SGrid' with: 'SGrid-HernanMoralesDurand.10'. ].
! !

!ConfigurationOfMorphicGrid methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/12/2013 14:22'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.1 :'.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '8/12/2013 14:22'.
		spec package: 'SGrid' with: 'SGrid-HernanMoralesDurand.10'. ].
! !

!ConfigurationOfMorphicGrid methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/12/2013 14:22'!
version12: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.1 :'.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '8/12/2013 14:22'.
		spec package: 'SGrid' with: 'SGrid-HernanMoralesDurand.10'. ].
! !
